package org.omg.CORBA;

import org.omg.CORBA.portable.InputStream;
import org.omg.CORBA.portable.OutputStream;

public abstract class BooleanSeqHelper
{
    private static String _id;
    private static TypeCode __typeCode;
    
    public BooleanSeqHelper() {
    }
    
    public static void insert(Any any, boolean[] array) {
        OutputStream create_output_stream = any.create_output_stream();
        any.type(type());
        write(create_output_stream, array);
        any.read_value(create_output_stream.create_input_stream(), type());
    }
    
    public static boolean[] extract(Any any) {
        return read(any.create_input_stream());
    }
    
    public static synchronized TypeCode type() {
        if (BooleanSeqHelper.__typeCode == null) {
            BooleanSeqHelper.__typeCode = ORB.init().get_primitive_tc(TCKind.tk_boolean);
            BooleanSeqHelper.__typeCode = ORB.init().create_sequence_tc(0, BooleanSeqHelper.__typeCode);
            BooleanSeqHelper.__typeCode = ORB.init().create_alias_tc(id(), "BooleanSeq", BooleanSeqHelper.__typeCode);
        }
        return BooleanSeqHelper.__typeCode;
    }
    
    public static String id() {
        return BooleanSeqHelper._id;
    }
    
    public static boolean[] read(InputStream inputStream) {
        int read_long = inputStream.read_long();
        boolean[] array = new boolean[read_long];
        inputStream.read_boolean_array(array, 0, read_long);
        return array;
    }
    
    public static void write(OutputStream outputStream, boolean[] array) {
        outputStream.write_long(array.length);
        outputStream.write_boolean_array(array, 0, array.length);
    }
    
    static {
        BooleanSeqHelper._id = "IDL:omg.org/CORBA/BooleanSeq:1.0";
        BooleanSeqHelper.__typeCode = null;
    }
}
